# Io Reference

Databases / SkipDB / SkipDBCursor

|  | An iterator object for a SkipDB.

first

Move cursor to first item. Returns self.
goto(aKey)

Move cursor to the specified key or nearest preceeding key. Returns self
key

Returns the current cursor key, or nil if the cursor is out of range.
last

Move cursor to last item. Returns self.
next

Move cursor to next item. Returns self.
previous

Move cursor to previous item. Returns self.
value

Returns the current cursor key, or nil if the cursor is out of range.